Package: org.apache.groovy.contracts.common.impl.lc

## [Java] Class PreconditionLifecycle

- org.apache.groovy.contracts.common.impl.lc.PreconditionLifecycle

-     public class PreconditionLifecycle
      extends BaseLifecycle

  Internal Lifecycle implementation for pre-conditions.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)`
    `` | `public void` | `beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseLifecycle` | `afterProcessingClassNode, afterProcessingConstructorNode, afterProcessingMethodNode, beforeProcessingClassNode, beforeProcessingConstructorNode, beforeProcessingMethodNode`

- - ### Method Detail

    - #### @Override
      public void afterProcessingMethodNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode methodNode)

    - #### @Override
      public void beforeProcessingConstructorNode(ProcessingContextInformation processingContextInformation, ClassNode classNode, MethodNode constructorNode)